*{
    marign: 0;
    padding: 0;
    box-sizing:  border-box;
}


/*nav logo*/

.wrapper.one {
    font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    font-size: 13px;
    line-height: 24px;
}
.one .type{
    width: auto;
    margin: auto;
}
.one h3 {
    width: 15ch;
    border-right: 4px solid cyan;
    white-space: nowrap;
    overflow: hidden;
    animation: typing 3s steps(15, end), blink-caret 1s step-end infinite alternate;

}


@-webkit-keyframes typing {
    from {
        width: 0;
    }
}
@-webkit-keyframes blink-caret {
    50% {
        border-color: transparent;
    }
}



/*nav font others*/
#navbarnav {

    font-family: 'Sulphur Point' !important;
    font-style: normal;
    font-weight: 600;
    font-size: 13px;
    line-height: 24px;
/* identical to box height, or 185% */
}


#title {

    font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    font-size: 75px;
    line-height: 4rem;
/* identical to box height, or 185% */

    text-align: center;

    color: #05BFDB;
}

#motto {

    background-color: #010c3d;
    font-family: 'Sulphur Point';
    font-weight: 600;
    background: url(https://img.freepik.com/premium-vector/space-background-dark-background-with-stars-outer-space-vector-illustration_101969-2526.jpg);
    margin: 1.5rem;

    font-size: 70px;
    background-position: 0 0;
    -webkit-background-clip: text;
    -webkit-text-fill-color: #5b728a54;
    animation: animatedOne 15s linear infinite;
}
    @keyframes animatedOne {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 100% 0;
    }

}

hr {
  height:3px;
  border-width:0;
  background-color:#ffffff;
}

#base {
    font-family: 'Sulphur Point';
    font-weight: 400;
    color: #FFFFFF;
    background-color:rgba(255, 255, 255, .1);
    padding: 6px 12px;
    border-radius: 25px;
}


.background1 {
    background-image: url('https://wallpapers.com/images/hd4/black-mountains-minimalist-5lab1dk0n122me23.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 100%;
}

/*--------------------MY PROJECTS SECTION*/

html {
   scroll-behavior: smooth; 
}

/*---------------ABOUT ME*/



#text-title {    
   font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    font-size: 2rem;
/* identical to box height, or 185% */

    color: #05BFDB;

}


#text-body {    
   font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
/* identical to box height, or 185% */

}



/*-----------------CONTACT ME_-------*/


#contact-header {    
   font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    font-size: 40px;
/* identical to box height, or 185% */

    color: #05BFDB;

}


#contact-text {

    background-color: #010c3d;
    font-family: 'Sulphur Point';
    font-weight: 800;
    background: url(https://img.freepik.com/premium-vector/space-background-dark-background-with-stars-outer-space-vector-illustration_101969-2526.jpg);
    margin: 1.5rem;
    font-size: 25px;
    background-position: 0 0;
    -webkit-background-clip: text;
    -webkit-text-fill-color: #5b728a54;
    animation: animatedOne 15s linear infinite;
}
    @keyframes animatedOne {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 100% 0;
    }

}
#social-header {
    background-color: #010c3d;
    font-family: 'Sulphur Point';
    font-weight: 800;
    background: url(https://img.freepik.com/premium-vector/space-background-dark-background-with-stars-outer-space-vector-illustration_101969-2526.jpg);
    margin: 1.5rem;
    font-size: 40px;
    background-position: 0 0;
    -webkit-background-clip: text;
    -webkit-text-fill-color: #5b728a54;
    animation: animatedOne 15s linear infinite;
}
    @keyframes animatedOne {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 100% 0;
    }


}


#form-fields {
    font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 400;
    font-size: 1rem;
}

#form-btn {    
    font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    color: #05BFDB;
    background-color:rgba(250, 250, 250, .2);
    padding: 6px 12px;
    border-radius: 25px;
}


/*-----------------FOOTER SECTION*/

#footer {
     font-family: 'Sulphur Point';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
/* identical to box height, or 185% */

    color: #05BFDB;
}






.wrapper{
  width: 90%;
  margin: 0 auto;
  max-width: 80rem;
}

.cols{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.col{
/*  width: calc(25% - 2rem);
  margin: 1rem;*/
  cursor: pointer;
}

.container{
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
    -webkit-perspective: 1000px;
            perspective: 1000px;
}

.front,
.back{
  background-size: cover;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.0);
  border-radius: 10px;
    background-position: center;
    -webkit-transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    -o-transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1), -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    text-align: center;
    min-height: 280px;
    height: auto;
    border-radius: 10px;
    color: #ffffff;
    font-size: 1.5rem;
}

.back{
  background: #cedce7;
  background: -webkit-linear-gradient(45deg,  #cedce7 0%,#596a72 100%);
  background: -o-linear-gradient(45deg,  #cedce7 0%,#596a72 100%);
  background: linear-gradient(45deg,  #cedce7 0%,#596a72 100%);
}

.front:after{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    content: '';
    display: block;
    opacity: .6;
    background-color: #000;
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    border-radius: 10px;
}
.container:hover .front,
.container:hover .back{
    -webkit-transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    -o-transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
    transition: transform .7s cubic-bezier(0.4, 0.2, 0.2, 1), -webkit-transform .7s cubic-bezier(0.4, 0.2, 0.2, 1);
}

.back{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.inner{
    -webkit-transform: translateY(-50%) translateZ(60px) scale(0.94);
            transform: translateY(-50%) translateZ(60px) scale(0.94);
    top: 50%;
    position: absolute;
    left: 0;
    width: 100%;
    padding: 2rem;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    outline: 1px solid transparent;
    -webkit-perspective: inherit;
            perspective: inherit;
    z-index: 2;
}

.container .back{
    -webkit-transform: rotateY(180deg);
            transform: rotateY(180deg);
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
}

.container .front{
    -webkit-transform: rotateY(0deg);
            transform: rotateY(0deg);
    -webkit-transform-style: preserve-3d;
            transform-style: preserve-3d;
}

.container:hover .back{
  -webkit-transform: rotateY(0deg);
          transform: rotateY(0deg);
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
}

.container:hover .front{
  -webkit-transform: rotateY(-180deg);
          transform: rotateY(-180deg);
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
}

.front .inner p{
  font-size: 2rem;
  margin-bottom: 2rem;
  position: relative;
}

.front .inner p:after{
  content: '';
  width: 4rem;
  height: 2px;
  position: absolute;
  background: #C6D4DF;
  display: block;
  left: 0;
  right: 0;
  margin: 0 auto;
  bottom: -.75rem;
}

.front .inner span{
  color: rgba(255,255,255,0.7);
  font-family: 'Montserrat';
  font-weight: 300;
}

@media screen and (max-width: 64rem){
  .col{
    width: calc(33.333333% - 2rem);
  }
}

@media screen and (max-width: 48rem){
  .col{
    width: calc(50% - 2rem);
  }
}

@media screen and (max-width: 32rem){
  .col{
    width: 100%;
    margin: 0 0 2rem 0;
  }
}